Browser Support

The Maps JavaScript API and Maps Embed API support the following web browsers:

Desktop
  • The current version of Microsoft Edge (Windows)
  • The current and previous versions of Firefox (Windows, macOS, Linux)
  • The current and previous versions of Chrome (Windows, macOS, Linux)
  • The current and previous versions of Safari (macOS)

Beginning in August 2021, a warning message will appear to Internet Explorer 11 users at the top of maps. The last version of the Maps JavaScript API to support Internet Explorer 11 is v3.47. Support for Internet Explorer 11 will be entirely discontinued in August 2022. This also applies to the IE mode in Edge.

Android
  • The current version of Chrome on Android 4.1+.
  • Chrome WebView on Android 4.4+.
iOS
  • Mobile Safari on the current and previous major versions of iOS.
  • UIWebView and WKWebView on the current and previous major versions of iOS.
  • The current version of Chrome for iOS.